function ok = isCorrectRange(low, up)

% ok = isCorrectRange(low, up)
%
% Check if a range is correct (low and up numeric, and low < up).
%

ok = 1;

if (~isnumeric(low) | isnan(low) | ~isnumeric(up) | isnan(up))
    ok = 0;
elseif low >= up
    ok = 0;
end
